# Flowcean

[![Actions status](https://github.com/flowcean/flowcean/actions/workflows/ci.yml/badge.svg)](https://github.com/flowcean/flowcean/actions)
[![docs status](https://github.com/flowcean/flowcean/actions/workflows/pages.yml/badge.svg)](https://flowcean.me)
[![PyPI - Version](https://img.shields.io/pypi/v/flowcean)](https://pypi.python.org/pypi/flowcean)
[![License](https://img.shields.io/github/license/flowcean/flowcean)](https://github.com/flowcean/flowcean/blob/main/LICENSE)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/flowcean)](https://pypi.python.org/pypi/flowcean)
[![uv](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/uv/main/assets/badge/v0.json)](https://github.com/astral-sh/uv)
[![Pyright](https://img.shields.io/badge/types-Pyright-blue.svg)](https://github.com/microsoft/pyright)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)

An advanced, versatile framework to streamline the automatic generation of models for cyber-physical systems.

## Highlights

- 🚀 automates the creation of models tailored to cyber-physical systems.
- 🧠 abstracts over learning frameworks
- ✔️ models for offline, incrementally, or active learning.
- 🗃️ integrates custom data sources.
- 🔍 evaluate models with standard metrics.
- 🐍 written in Python, easy connection via a gRPC interface

## Documentation

flowcean's documentation is available at [flowcean.me](https://flowcean.me).

## Contributing

We strive for open-source contributions that drive research forward and would love to see you get involved. See our [code of conduct](https://github.com/flowcean/flowcean/blob/main/CODE_OF_CONDUCT.md) to get started.

## License

flowcean is licensed under the 3-Clause BSD License ([LICENSE](https://github.com/flowcean/flowcean/blob/main/LICENSE) or [https://opensource.org/license/bsd-3-clause](https://opensource.org/license/bsd-3-clause)).
